
コア - 機能 #3871
機能 # 3688 (終了): [FSM4RTC] データポートのPortProfile/ConnectorProfileのプロパティ拡張作業

[FSM4RTC] データポートのタイムスタンプ打刻機能
2017/01/19 17:23 - n-ando

ステータス: 終了 開始日: 2017/01/19

優先度: 通常 期日:  

担当者: n-ando 進捗率: 100%

カテゴリ:  予定工数: 0.00時間

対象バージョン:    

説明

[FSM4RTC] データポートのPortProfile/ConnectorProfileのプロパティ拡張作業
に基づき、データポートにタイムスタンプの打刻機能を追加する。

関係しているリビジョン
リビジョン 2877 - 2017/01/19 17:29 - n-ando

[FSM4RTC,incompat] Connector listeners intarfaces have been changed to modify info and data in the listeners and return its status. refs #3871

リビジョン 2877 - 2017/01/19 17:29 - n-ando

[FSM4RTC,incompat] Connector listeners intarfaces have been changed to modify info and data in the listeners and return its status. refs #3871

リビジョン 2878 - 2017/01/19 17:31 - n-ando

[FSM4RTC,incompat] Some callback points have been added. refs #3871

リビジョン 2878 - 2017/01/19 17:31 - n-ando

[FSM4RTC,incompat] Some callback points have been added. refs #3871

リビジョン 2879 - 2017/01/19 17:37 - n-ando

[FSM4RTC,incomapt] Timestamp class template has been added. Timestamp listeners have been added to InPort and OutPort. refs #3871

リビジョン 2879 - 2017/01/19 17:37 - n-ando

[FSM4RTC,incomapt] Timestamp class template has been added. Timestamp listeners have been added to InPort and OutPort. refs #3871

リビジョン 2880 - 2017/01/19 18:42 - n-ando

[FSM4RTC,incompat] ConnectorListener, ConnectorDataListener interfaces have been changed. refs #3871

リビジョン 2880 - 2017/01/19 18:42 - n-ando

[FSM4RTC,incompat] ConnectorListener, ConnectorDataListener interfaces have been changed. refs #3871

リビジョン 2897 - 2017/01/28 23:33 - n-ando

[FSM4RTC] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871

リビジョン 2897 - 2017/01/28 23:33 - n-ando

[FSM4RTC] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871

リビジョン 2898 - 2017/01/28 23:36 - n-ando

[FSM4RTC] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871

リビジョン 2898 - 2017/01/28 23:36 - n-ando

[FSM4RTC] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871

リビジョン 3117 - 2017/12/11 07:41 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2877-2880. TODO: confliction resolution makes some files character code inconsistency:
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Connector listeners intarfaces have been changed to modify info and data in the listeners and
return its status. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Some callback points have been added. refs #3871
[FSM4RTC,incomapt,->RELENG_1_2,->RELENG_2_0] Timestamp class template has been added. Timestamp listeners have been added to InPort and
OutPort. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] ConnectorListener, ConnectorDataListener interfaces have been changed. refs #3871

リビジョン 3117 - 2017/12/11 07:41 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2877-2880. TODO: confliction resolution makes some files character code inconsistency:
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Connector listeners intarfaces have been changed to modify info and data in the listeners and
return its status. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Some callback points have been added. refs #3871
[FSM4RTC,incomapt,->RELENG_1_2,->RELENG_2_0] Timestamp class template has been added. Timestamp listeners have been added to InPort and
OutPort. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] ConnectorListener, ConnectorDataListener interfaces have been changed. refs #3871

リビジョン 3119 - 2017/12/11 09:37 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2893-2903:
[FSM4RTC,new file,->RELENG_2_0] Macho (Machine object state machine engine) and StaticFSM.h have been introduced to rtm. refs #3683
[compat,->RELENG_1_2,->RELENG_2_0] NVUtil dump() function outputs doubled CR. It is removed.
[FSM4RTC,example,->RELENG_2_0] StaticFsm sample which is for new Static FSM framework has been added. refs #3655
[FSM4RTC,example,->RELENG_2_0] StaticFsm sample which is for new Static FSM framework has been added. refs #3655
[FSM4RTC,->RELENG_1_2,->RELENG_2_0] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871
[FSM4RTC,->RELENG_2_0] Experimental FSM has been implemented in ConsoleOut component.
[FSM4RTC,->RELENG_2_0] ComponentObserver implementation has been added. refs #3591
[FSM4RTC,->RELENG_2_0] FSm related callback operation has been changed. refs #3681
[coil,test,->RELENG_1_2,->RELENG_2_0] coil::stringutils tests added.
[FSM4RTC,->RELENG_2_0] EventPort class has been intorduced for FSm framework. refs #3683
[revert,->RELENG_2_0] FSM removed.

リビジョン 3119 - 2017/12/11 09:37 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2893-2903:
[FSM4RTC,new file,->RELENG_2_0] Macho (Machine object state machine engine) and StaticFSM.h have been introduced to rtm. refs #3683
[compat,->RELENG_1_2,->RELENG_2_0] NVUtil dump() function outputs doubled CR. It is removed.
[FSM4RTC,example,->RELENG_2_0] StaticFsm sample which is for new Static FSM framework has been added. refs #3655
[FSM4RTC,example,->RELENG_2_0] StaticFsm sample which is for new Static FSM framework has been added. refs #3655
[FSM4RTC,->RELENG_1_2,->RELENG_2_0] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871
[FSM4RTC,->RELENG_2_0] Experimental FSM has been implemented in ConsoleOut component.
[FSM4RTC,->RELENG_2_0] ComponentObserver implementation has been added. refs #3591
[FSM4RTC,->RELENG_2_0] FSm related callback operation has been changed. refs #3681
[coil,test,->RELENG_1_2,->RELENG_2_0] coil::stringutils tests added.
[FSM4RTC,->RELENG_2_0] EventPort class has been intorduced for FSm framework. refs #3683
[revert,->RELENG_2_0] FSM removed.

リビジョン 3123 - 2017/12/11 09:52 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2877-2880:
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Connector listeners intarfaces have been changed to modify info and data in the listeners and
return its status. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Some callback points have been added. refs #3871
[FSM4RTC,incomapt,->RELENG_1_2,->RELENG_2_0] Timestamp class template has been added. Timestamp listeners have been added to InPort and
OutPort. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] ConnectorListener, ConnectorDataListener interfaces have been changed. refs #3871

リビジョン 3123 - 2017/12/11 09:52 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2877-2880:
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Connector listeners intarfaces have been changed to modify info and data in the listeners and
return its status. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] Some callback points have been added. refs #3871
[FSM4RTC,incomapt,->RELENG_1_2,->RELENG_2_0] Timestamp class template has been added. Timestamp listeners have been added to InPort and
OutPort. refs #3871
[FSM4RTC,incompat,->RELENG_1_2,->RELENG_2_0] ConnectorListener, ConnectorDataListener interfaces have been changed. refs #3871

リビジョン 3125 - 2017/12/11 12:27 - n-ando

merged changes from branches/FSM4RTC/OpenRTM-aist r2894, 2897, 2901:
[compat,->RELENG_1_2,->RELENG_2_0] NVUtil dump() function outputs doubled CR. It is removed.
[FSM4RTC,->RELENG_1_2,->RELENG_2_0] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871
[coil,test,->RELENG_1_2,->RELENG_2_0] coil::stringutils tests added.

リビジョン 3125 - 2017/12/11 12:27 - n-ando
merged changes from branches/FSM4RTC/OpenRTM-aist r2894, 2897, 2901:
[compat,->RELENG_1_2,->RELENG_2_0] NVUtil dump() function outputs doubled CR. It is removed.
[FSM4RTC,->RELENG_1_2,->RELENG_2_0] Some sample components listener have been modified to follow ConnectorListener changes. refs #3871
[coil,test,->RELENG_1_2,->RELENG_2_0] coil::stringutils tests added.

履歴
#1 - 2017/01/19 17:24 - n-ando

- 親チケット を #3688 にセット

#2 - 2017/01/19 17:35 - n-ando

- ステータス を 新規 から 担当 に変更

- 進捗率 を 0 から 30 に変更

コールバックConnectorListener, ConnectorDataListener の引数を const から 非constに変更。
これにより、リスナオブジェクト内でConnectorInfoとDataを変更して戻せるようにした。

#3 - 2017/01/19 17:38 - n-ando

- 進捗率 を 30 から 50 に変更

コールバックがいくつかかけていたので追加。

#4 - 2017/01/19 17:39 - n-ando

- ステータス を 担当 から 解決 に変更

- 進捗率 を 50 から 100 に変更

タイムスタンプクラステンプレートを追加。Timestamp.h
InPort、OutPortに on_read, ion_write, on_send, on_received の4つのコールバックを追加。

#5 - 2017/02/12 09:17 - n-ando

- ステータス を 解決 から 終了 に変更
